Name:		rancid
Version: 	2.3.6
Release:	2.1
License: 	GPL
Group: 		System
Summary: 	Really Awesome New Cisco confIg Differ
URL: 		http://www.shrubbery.net/rancid/
Source0: 	%{name}-%{version}.tar.bz2
BuildRoot: 	%{_tmppath}/%{name}-%{version}-build
BuildRequires:	glibc-devel libgcc gcc gcc-c++ expect >= 5.40 mailx iputils

%if 0%{?fedora_version} || 0%{?centos_version}
BuildRequires: expect-devel
%endif

%description
This is a popular ISP toolkit, based on expect and shell scripts,
for managing router configurations.
Rancid monitors a router's (or device's) configuration, including
software and hardware (cards, serial numbers, etc), using CVS.
Rancid currently supports Cisco routers, Juniper routers, Catalyst
switches, Foundry switches, Redback NASs, and ADC EZT3 muxes.

%prep
%setup
%configure

%build
%__make

%install
%makeinstall
rm -rf %{buildroot}/%{_datadir}/%{name}
find %{buildroot}/%{_mandir} -type f -exec gzip -9 {} \;

%clean
rm -rf $RPM_BUILD_ROOT/*
rm -rf $RPM_BUILD_DIR/%{name}*


%files
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/lg.conf
%config(noreplace) %{_sysconfdir}/rancid.conf
%{_bindir}/arrancid
%{_bindir}/xrrancid
%{_bindir}/agmrancid
%{_bindir}/srancid
%{_bindir}/alogin
%{_bindir}/arancid
%{_bindir}/blogin
%{_bindir}/brancid
%{_bindir}/cat5rancid
%{_bindir}/clogin
%{_bindir}/control_rancid
%{_bindir}/cssrancid
%{_bindir}/elogin
%{_bindir}/erancid
%{_bindir}/f10rancid
%{_bindir}/flogin
%{_bindir}/fnrancid
%{_bindir}/francid
%{_bindir}/hlogin
%{_bindir}/hpuifilter
%{_bindir}/hrancid
%{_bindir}/htlogin
%{_bindir}/htrancid
%{_bindir}/jerancid
%{_bindir}/jlogin
%{_bindir}/jrancid
%{_bindir}/lg.cgi
%{_bindir}/lgform.cgi
%{_bindir}/mrancid
%{_bindir}/nlogin
%{_bindir}/nrancid
%{_bindir}/nslogin
%{_bindir}/nsrancid
%{_bindir}/par
%{_bindir}/prancid
%{_bindir}/rancid
%{_bindir}/rancid-cvs
%{_bindir}/rancid-fe
%{_bindir}/rancid-run
%{_bindir}/rivlogin
%{_bindir}/rivrancid
%{_bindir}/rrancid
%{_bindir}/tntlogin
%{_bindir}/tntrancid
%{_bindir}/xrancid
%{_bindir}/zrancid
%{_bindir}/avologin
%{_bindir}/avorancid
%{_bindir}/f5rancid
%{_bindir}/mrvlogin
%{_bindir}/mrvrancid
%{_bindir}/nxrancid
%{_bindir}/tlogin
%{_bindir}/trancid
%{_bindir}/fnlogin
%{_mandir}/man1/arancid.1*
%{_mandir}/man1/brancid.1*
%{_mandir}/man1/alogin.1*
%{_mandir}/man1/blogin.1*
%{_mandir}/man1/cat5rancid.1*
%{_mandir}/man1/clogin.1*
%{_mandir}/man1/control_rancid.1*
%{_mandir}/man1/cssrancid.1*
%{_mandir}/man1/elogin.1*
%{_mandir}/man1/erancid.1*
%{_mandir}/man1/f10rancid.1*
%{_mandir}/man1/flogin.1*
%{_mandir}/man1/fnrancid.1*
%{_mandir}/man1/francid.1*
%{_mandir}/man1/hlogin.1*
%{_mandir}/man1/hrancid.1*
%{_mandir}/man1/htlogin.1*
%{_mandir}/man1/htrancid.1*
%{_mandir}/man1/jerancid.1*
%{_mandir}/man1/jlogin.1*
%{_mandir}/man1/jrancid.1*
%{_mandir}/man1/lg_intro.1*
%{_mandir}/man1/mrancid.1*
%{_mandir}/man1/nlogin.1*
%{_mandir}/man1/nrancid.1*
%{_mandir}/man1/nslogin.1*
%{_mandir}/man1/nsrancid.1*
%{_mandir}/man1/par.1*
%{_mandir}/man1/prancid.1*
%{_mandir}/man1/rancid-cvs.1*
%{_mandir}/man1/rancid-run.1*
%{_mandir}/man1/rancid.1*
%{_mandir}/man1/rancid_intro.1*
%{_mandir}/man1/rivlogin.1*
%{_mandir}/man1/rivrancid.1*
%{_mandir}/man1/tntlogin.1*
%{_mandir}/man1/tntrancid.1*
%{_mandir}/man1/xrancid.1*
%{_mandir}/man1/zrancid.1*
%{_mandir}/man1/agmrancid.1*
%{_mandir}/man1/avologin.1*
%{_mandir}/man1/avorancid.1*
%{_mandir}/man1/f5rancid.1*
%{_mandir}/man1/nxrancid.1*
%{_mandir}/man1/rrancid.1*
%{_mandir}/man1/srancid.1*
%{_mandir}/man1/tlogin.1*
%{_mandir}/man1/arrancid.1*
%{_mandir}/man1/mrvlogin.1*
%{_mandir}/man1/mrvrancid.1*
%{_mandir}/man1/xrrancid.1*
%{_mandir}/man1/trancid.1*
%{_mandir}/man5/cloginrc.5*
%{_mandir}/man5/lg.conf.5*
%{_mandir}/man5/rancid.conf.5*
%{_mandir}/man5/router.db.5*
%{_mandir}/man1/fnlogin.1*

%doc BUGS CHANGES COPYING FAQ README*

%changelog
* Mon Aug 15 2011 cs@linux-administrator.com
- Update to version 2.3.6
